List asset criticality records
- Base URL
-
https://{kibana_url}
-
GET
/api/asset_criticality/list
-
GET
/s/{space_id}/api/asset_criticality/list
Auth
Deprecated
Deprecated in 9.4.0. List asset criticality records, paging, sorting and filtering as needed.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
sort_field
enum
-
The field to sort by.
-
Values:
id_value
id_field
criticality_level
@timestamp
-
sort_direction
enum
-
The order to sort by.
-
Values:
asc
desc
-
page
integer · min: 1
-
The page number to return.
-
per_page
integer · min: 1 · max: 1000
-
The number of records to return per page.
-
kuery
string
-
The kuery to filter by.
Successfully retrieved asset criticality records
application/json
-
page
integer · min: 1
required
-
per_page
integer · min: 1 · max: 1000
required
-
records
object[]
required
-
-
id_field
enum
required
-
Values:
host.name
user.name
service.name
entity.id
-
id_value
string
required
-
The ID value of the asset.
-
criticality_level
enum
required
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
asset
object
required
-
-
criticality
enum
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
entity
object
-
-
asset
object
-
-
criticality
enum
required
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
host
object
-
-
asset
object
-
-
criticality
enum
required
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
service
object
-
-
asset
object
-
-
criticality
enum
required
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
user
object
-
-
asset
object
-
-
criticality
enum
required
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
@timestamp
string · format: date-time
required
-
The time the record was created or updated.
-
total
integer · min: 0
required